Skip to main content
GET
/
bundles
List product bundles
curl --request GET \
  --url https://api.alguna.io/bundles \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "bnd_01H1VECT",
      "name": "Standard Plan",
      "prices": [
        {
          "billing_direction": "arrears",
          "billing_interval": "monthly",
          "charge_on_contract_start": true,
          "created_at": "2023-11-07T05:31:56Z",
          "currency": "USD",
          "fee_type": "fixed",
          "id": "<string>",
          "product": {
            "description": "<string>",
            "fee_type": "fixed",
            "id": "<string>",
            "name": "Platform Fee",
            "payment_terms": "arrears",
            "billing_frequency": "recurring",
            "metric_ids": [
              "<string>"
            ]
          },
          "product_id": "<string>",
          "type": "unit",
          "updated_at": "2023-11-07T05:31:56Z",
          "billing_frequency": "recurring",
          "discount": {
            "amount": "<string>",
            "discount_type": "percentage",
            "duration_type": "monthly_rolling",
            "duration_unit": "<string>",
            "duration_value": 123
          },
          "display_order": 123,
          "expression_pricing_model": {
            "charges": [
              {
                "billing_direction": "advance",
                "description": "<string>",
                "quantity_expression": "<string>",
                "unit_price_expression": "<string>"
              }
            ]
          },
          "fixed_pricing_model": {
            "price_per_unit": "<string>",
            "total": "<string>",
            "units": 123
          },
          "graduated_percentage_pricing_model": {
            "tiers": [
              {
                "min_units": 123,
                "fixed_fee": "<string>",
                "max_units": 123,
                "percentage": "<string>"
              }
            ]
          },
          "graduated_tiered_pricing_model": {
            "tiers": [
              {
                "min_units": 123,
                "fixed_fee": "<string>",
                "max_units": 123,
                "price_per_unit": "<string>"
              }
            ],
            "units": 123
          },
          "maximum_spend": {
            "amount": "<string>",
            "period": "<string>"
          },
          "metric_ids": [
            "<string>"
          ],
          "minimum_spend": {
            "amount": "<string>",
            "period": "<string>"
          },
          "prepaid_fixed_tiered_pricing_model": {
            "overages_charge_interval": "<string>",
            "prepaid_units": 123,
            "tiers": [
              {
                "min_units": 123,
                "fixed_fee": "<string>",
                "max_units": 123,
                "price_per_unit": "<string>"
              }
            ]
          },
          "prepaid_tiered_pricing_model": {
            "prepaid_units": 123,
            "tiers": [
              {
                "min_units": 123,
                "fixed_fee": "<string>",
                "max_units": 123,
                "price_per_unit": "<string>"
              }
            ]
          },
          "tiered_percentage_pricing_model": {
            "tiers": [
              {
                "min_units": 123,
                "fixed_fee": "<string>",
                "max_units": 123,
                "percentage": "<string>"
              }
            ]
          },
          "tiered_pricing_model": {
            "tiers": [
              {
                "min_units": 123,
                "fixed_fee": "<string>",
                "max_units": 123,
                "price_per_unit": "<string>"
              }
            ],
            "units": 123
          },
          "trial_period_days": 123,
          "unit_pricing_model": {
            "price_per_unit": "<string>"
          },
          "volume_percentage_pricing_model": {
            "percentage": "<string>",
            "price_per_unit": "<string>",
            "fixed_fee": "<string>"
          }
        }
      ],
      "description": "Our standard plan bundle"
    }
  ],
  "pagination": {
    "per_page": 20,
    "total_pages": 5
  }
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

limit
integer<int64>
required

Number of items to return per page

Example:

20

offset
integer<int64>
required

Number of items to skip

Example:

0

Response

Success

data
object[]
required

List of bundles

pagination
object
required

Pagination metadata